CANSNIFFER(1)

NAME
cansniffer - manual page for cansniffer 2023.03-1

SYNOPSIS
cansniffer [can-interface]

DESCRIPTION
cansniffer - volatile CAN content visualizer.

OPTIONS

-q  (quiet - all IDs deactivated)

-r <name>
    (read sniffset.name from file)

-e  (fix extended frame format output - no auto detect)

-b  (start with binary mode)

-8  (start with binary mode - for EFF on 80 chars)

-B  (start with binary mode with gap - exceeds 80 chars!)

-c  (color changes)

-f <mode>
    (CAN FD mode: 0 = OFF, 1 = ON, 2 = auto detect, default: 2)

-t <time>
    (timeout for ID display [x10ms] default: 500, 0 = OFF)

-h <time>
    (hold marker on changes [x10ms] default: 100)

-l <time>
    (loop time (display) [x10ms] default: 20)

-?  (print this help text)

Use interface name 'any' to receive from all can-interfaces.

  commands that can be entered at runtime:

q<ENTER>
    - quit

b<ENTER>
    - toggle binary / HEX-ASCII output

8<ENTER>
    - toggle binary / HEX-ASCII output (small for EFF on 80 chars)

B<ENTER>
    - toggle binary with gap / HEX-ASCII output (exceeds 80 chars!)

c<ENTER>
    - toggle color mode

@<ENTER>
    - toggle ASCII output (disabled for CAN FD by default)

<SPACE><ENTER>
    - force a clear screen

#<ENTER>
    - notch currently marked/changed bits (can be used repeatedly)

*<ENTER>
    - clear notched marked

rMYNAME<ENTER>
    - read settings file (filter/notch)

wMYNAME<ENTER>
    - write settings file (filter/notch)

a<ENTER>
    - enable 'a'll SFF CAN-IDs to sniff

n<ENTER>
    - enable 'n'one SFF CAN-IDs to sniff

A<ENTER>
    - enable 'A'll EFF CAN-IDs to sniff

N<ENTER>
    - enable 'N'one EFF CAN-IDs to sniff

+FILTER<ENTER> - add CAN-IDs to sniff

-FILTER<ENTER> - remove CAN-IDs to sniff

FILTER can be a single CAN-ID or a CAN-ID/Bitmask:

    single SFF 11 bit IDs:

+1F5<ENTER> - add SFF CAN-ID 0x1F5

-42E<ENTER> - remove SFF CAN-ID 0x42E

    single EFF 29 bit IDs:

+18FEDF55<ENTER> - add EFF CAN-ID 0x18FEDF55

-00000090<ENTER> - remove EFF CAN-ID 0x00000090

    CAN-ID/Bitmask SFF:

-42E7FF<ENTER> - remove SFF CAN-ID 0x42E (using Bitmask)

-500700<ENTER> - remove SFF CAN-IDs 0x500 - 0x5FF

+400600<ENTER> - add SFF CAN-IDs 0x400 - 0x5FF

+000000<ENTER> - add all SFF CAN-IDs

-000000<ENTER> - remove all SFF CAN-IDs

    CAN-ID/Bitmask EFF:

-0000000000000000<ENTER> - remove all EFF CAN-IDs

+12345678000000FF<ENTER> - add EFF CAN IDs xxxxxx78

+0000000000000000<ENTER> - add all EFF CAN-IDs

if (id & filter) == (sniff-id & filter) the action (+/-) is performed, which is quite easy when the filter is 000 resp. 00000000 for EFF.